/* 
Thyrix, Copyright (C) 2004-2006 Razvan Florian / Coneural. All rights reserved.
http://www.thyrix.com 

Thyrix Lite is free software. You can redistribute it and/or
modify it under the terms of the GNU General Public License 
as published by the Free Software Foundation; either version 2 
of the License, or (at your option) any later version. The text 
of the GNU General Public License is included with this library 
in the file GeneralPublicLicense.txt.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the file
GeneralPublicLicense.txt for more details.
*/

#include <stdio.h>
#include "SpherusSimulator.h"
#include "Spherus.h"
#include "Circle.h"

/**
This program runs SpherusSimulator a finite number of timesteps and prints some information
about the position of the agent at each timestep.
*/

int main(int argc, char* argv[])
{
	printf("Hello World!\n");

	SpherusSimulator simulator;

	for(unsigned i=0;i<1000;i++){
		simulator.advanceTime();
		printf("%d %f %f\n",i, simulator.agent->r.x, simulator.agent->r.y);
	}
	return 0;
}

