/* 
Thyrix, Copyright (C) 2004-2006 Razvan Florian / Coneural. All rights reserved.
http://www.thyrix.com 

Thyrix Lite is free software. You can redistribute it and/or
modify it under the terms of the GNU General Public License 
as published by the Free Software Foundation; either version 2 
of the License, or (at your option) any later version. The text 
of the GNU General Public License is included with this library 
in the file GeneralPublicLicense.txt.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the file
GeneralPublicLicense.txt for more details.
*/

#ifndef AFX_COLOR_H__628D952A_22AB_4DF9_9DB7_D13F7416B058__INCLUDED_
#define AFX_COLOR_H__628D952A_22AB_4DF9_9DB7_D13F7416B058__INCLUDED_

class ColorDefinitions;

//disable a VC++ annoying warning related to long strings in debug information, caused by using STL
#pragma warning(disable : 4786) 

class Color  {
public:
	Color(unsigned char r=0, unsigned char g=0, unsigned char b=0, bool transparent=false);
	Color(const char* name);
	virtual ~Color();

	unsigned char r, g, b;
	bool transparent;

	void setTransparent() { transparent=true; }

private:
	static ColorDefinitions definitions;
};

#endif // AFX_COLOR_H__628D952A_22AB_4DF9_9DB7_D13F7416B058__INCLUDED_
